/*
 * ---------------- www.spacesimulator.net --------------
 *   ---- Space simulators and 3d engine tutorials ----
 *
 * Author: Damiano Vitulli
 *
 * This program is released under the BSD licence
 * By using this program you agree to licence terms on spacesimulator.net copyright page
 *
 * Tutorial 3: 3d engine - Texture mapping with OpenGL!
 *
 * Porting to cocoa by: Ariel Feinerman on 3/11/10 (arielfeinerman@gmail.com).
 *
 */

#import <Cocoa/Cocoa.h>
#import "AFTimer.h"

@class AFController;

@interface Scene : NSResponder <AFTimer> {

	AFController *controller;

@private
	NSRect bounds;
}
- (id) initWithController: (AFController *) theController;
// Initialize OpenGL, Global Variables, Textures, etc
- (void) initGL;
- (void) initScene;
- (void) shareResources;
// Resize, Display
- (void) setBounds: (NSRect) aFrame;
- (void) reshape;
- (void) render;
// Event Handling Methods
- (void) keyDown: (NSEvent *) theEvent;
@end
